TRANSIENT (Java Platform SE 8 )
Keywords: org.omg.CORBA.TRANSIENT class
Date: 2020-03-26

org.omg.CORBA

## Class TRANSIENT

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.TRANSIENT

- All Implemented Interfaces:
    Serializable

      public final class TRANSIENT
      extends SystemException

  Exception thrown when the ORB attempted to reach an object and failed. It is not an indication that an object does not exist. Instead, it simply means that no further determination of an object's status was possible because it could not be reached. This exception is raised if an attempt to establish a connection fails, for example, because the server or the implementation repository is down.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TRANSIENT()` Constructs a `TRANSIENT` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
    `TRANSIENT(int minor, CompletionStatus completed)` Constructs a `TRANSIENT` exception with the specified minor code and completion status.
    `TRANSIENT(String s)` Constructs a `TRANSIENT` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
    `TRANSIENT(String s, int minor, CompletionStatus completed)` Constructs a `TRANSIENT` exception with the specified description message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TRANSIENT

          public TRANSIENT()

      Constructs a `TRANSIENT` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

    - #### TRANSIENT

          public TRANSIENT(String s)

      Constructs a `TRANSIENT` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a detail message

    - #### TRANSIENT

          public TRANSIENT(int minor,
                           CompletionStatus completed)

      Constructs a `TRANSIENT` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - the completion status

    - #### TRANSIENT

          public TRANSIENT(String s,
                           int minor,
                           CompletionStatus completed)

      Constructs a `TRANSIENT` exception with the specified description message, minor code, and completion status.
      Parameters:
        `s` - the String containing a description message
        `minor` - the minor code
        `completed` - the completion status

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.